Search for content in message boards

FTM Mac3 OSX 10.6.8

Replies: 12

Re: FTM Mac3 OSX 10.6.8

Posted: 1501640126000
Classification: Query
Edited: 1501686307000
>>Not happy but its working and it was time to dump Snow Leopard because of a lack of security patches for most apps.....Oh well......<<

No Mac operating on any OS before Mavericks ****should be on-line*****, that includes Snow Leopard. There is no browser secure enough to operate with old OS.

To be clear, any machine with OS10.6.8 (Snow Leopard) or before, should be retired from "on-line" use, forever. Data on it is not safe. Please take this warning seriously.
SubjectAuthorDate Posted
Mac Helper 1496763331000 
jltbalt1 1501615298000 
daciodan 1501640126000 
per page

Find a board about a specific topic